---
title: Number.NaN
slug: Web/JavaScript/Reference/Global_Objects/Number/NaN
tags:
  - JavaScript
  - Number
  - Property
---
<div>{{JSRef}}</div>

<p>The <strong><code>Number.NaN</code></strong> property represents Not-A-Number. Equivalent of {{jsxref("NaN")}}.</p>

<div>{{EmbedInteractiveExample("pages/js/number-nan.html")}}</div>

<div class="hidden">The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples</a> and send us a pull request.</div>

<p>You do not have to create a {{jsxref("Number")}} object to access this static property (use <code>Number.NaN</code>).</p>

<div>{{js_property_attributes(0, 0, 0)}}</div>

<h2 id="Examples">Examples</h2>

<h3 id="Checking_whether_values_are_numeric">Checking whether values are numeric</h3>

<pre class="brush: js notranslate">function sanitise(x) {
  if (isNaN(x)) {
    return Number.NaN;
  }
  return x;
}</pre>

<h3 id="Testing_against_NaN">Testing against NaN</h3>

<p>See <a href="/en-US/docs/Web/JavaScript/Reference/Global_Objects/NaN#Testing_against_NaN">Testing against NaN</a> on the <code>NaN</code> page.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-number.nan', 'Number.NaN')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("javascript.builtins.Number.NaN")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>The global {{jsxref("NaN")}} object.</li>
 <li>The {{jsxref("Number")}} object it belongs to.</li>
</ul>
